PHPMailer and 1and1 / 1&1

Get help with installation and running phpwcms here. Please do not post bug reports or feature requests here.
User avatar
Oliver Georgi
Site Admin
Posts: 9387
Joined: Fri 3. Oct 2003, 22:22
Location: Dessau
Contact:

PHPMailer and 1and1 / 1&1

Postby Oliver Georgi » Fri 13. Jun 2014, 12:03

1and / 1&1 is a weird provider — but you have to deal with it. Too many people still hosting their site with them.

Yesterday I got a report by a user that 1and1's abuse prevention marks older class.phpmailer.php as infected and blocks the access to that important class. Be aware, in general nothing has changed inside the file, it is not injected … but you need an update. I have implemented the most current version of PHPMailer 5.2.8 this morning. Some not minor changes are necessary to get it running. In general all you have to do (sorry, could not test yet myself if this is enough — but should because PHP functions are not case-sensitive).

Before you start —PLEASE REMEMBER TO HAVE A WORKING BACKUP!!!

First download the new class folder
phpwcms-phpmailer-5.2.8.zip
(130.3 KiB) Downloaded 138 times
Unzip and replace include/inc_ext/phpmailer with the new one.

Then search all *.php files and replace

Code: Select all

inc_ext/phpmailer/class.phpmailer.php
by

Code: Select all

inc_ext/phpmailer/PHPMailerAutoload.php


This is more for experts now: If it is not working, then there is more work for you. The new PHPMailer class does not use CamelCase function names any longer — now it is camelCase. So change all ->FooFunction to ->fooFunction. See the commit link. This is what I did in the current release.

If you are not able to implement this yourself you can ask me (paid only).
Oliver Georgi | phpwcms Developer | GitHub | LinkedIn

Return to “phpwcms Support English”

Who is online

Users browsing this forum: Bing [Bot] and 1 guest